javax.jcr.query

## Interface Row

    public interface Row

A row in the query result table.

### Method Summary

All Methods Instance Methods Abstract Methods
`Value` `getValue(java.lang.String propertyName)` Returns the value of the indicated property in this `Row`.
`Value[]` `getValues()` Returns an array of all the values in the same order as the column names returned by `QueryResult.getColumnNames()`.

### Method Detail

#### getValues

    Value[] getValues()
               throws RepositoryException

Returns an array of all the values in the same order as the column names returned by `QueryResult.getColumnNames()`.

Returns:
  a `Value` array.
Throws:
  `RepositoryException` - if an error occurs

#### getValue

    Value getValue(java.lang.String propertyName)
            throws ItemNotFoundException,
                   RepositoryException

Returns the value of the indicated property in this `Row`.

If `propertyName` is not among the column names of the query result table, an `ItemNotFoundException` is thrown.

Returns:
  a `Value`
Throws:
  `ItemNotFoundException` - if `propertyName` s not among the column names of the query result table
  `RepositoryException` - if anopther error occurs.

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.